let form = document.getElementById("upload");

form.onsubmit = function (event) {
    event.preventDefault();
    let formData = new FormData(form);

    formData.append('file', document.getElementById("file"));

    let xhr = new XMLHttpRequest();

    xhr.onloadstart = function(e) {
        loading.removeClass("hide");
        $('.sidenav').sidenav('close');
        loading.modal('open');
    }

    xhr.upload.addEventListener("progress", function (event) {
        if (event.lengthComputable) {
            self.progress = Math.round(100 / event.total * event.loaded);
        } else if (this.explicitTotal) {
            self.progress = Math.min(1, event.loaded / self.explicitTotal);
        } else {
            self.progress = 0;
        }

    }, false);

    xhr.onloadend = function (e) {
        clearSelected();
        updateDatasets();
        form.reset();
    };

    xhr.open('POST', form.getAttribute('action'), true);
    xhr.send(formData);

    return false;
};
